Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
Body Class Reference

MIME message body. More...

`#include <body.h>`

## Public Member Functions

void | set (const std::string &)
bool | load (const std::string &)
template<typename Codec>
bool | load (const std::string &, const Codec &)
template<typename Codec>
bool | code (const Codec &)
void | preamble (const std::string &)
const std::string & | preamble () const
std::string & | preamble ()
void | epilogue (const std::string &)
const std::string & | epilogue () const
std::string & | epilogue ()
MimeEntityList & | parts ()
const MimeEntityList & | parts () const
MimeEntity * | owner ()
const MimeEntity * | owner () const

## Protected Member Functions

void | owner (MimeEntity *)

## Protected Attributes

MimeEntity * | m_owner
MimeEntityList | m_parts
std::string | m_preamble
std::string | m_epilogue

## Friends

class | MimeEntity

## Detailed Description

MIME message body.

## Member Function Documentation

## ◆ code()

template<typename Codec>

bool code | ( | const Codec & | cc | ) |

en/decode body content

References codec::codeSizeMultiplier().

## ◆ epilogue() [1/2]

const std::string & epilogue | ( |  | ) | const

get body epilogue

See also
  RFC822

## ◆ epilogue() [2/2]

void epilogue | ( | const std::string & |  | ) |

set body epilogue

See also
  RFC822

## ◆ load() [1/2]

bool load | ( | const std::string & |  | ) |

load file as is, no encoding is performed

## ◆ load() [2/2]

template<typename Codec>

bool load | ( | const std::string & | fqn,
|  | const Codec & | cc )

load file and code it using `Codec`

References codec::codeSizeMultiplier().

## ◆ owner()

MimeEntity * owner | ( |  | ) |

get body's MimeEntity owner

## ◆ parts()

MimeEntityList & parts | ( |  | ) |

get body's parts list

## ◆ preamble() [1/2]

const std::string & preamble | ( |  | ) | const

get body preamble

See also
  RFC822

## ◆ preamble() [2/2]

void preamble | ( | const std::string & |  | ) |

set body preamble

See also
  RFC822

## ◆ set()

void set | ( | const std::string & |  | ) |

set body content

The documentation for this class was generated from the following file:

- body.h